Subject: Re: Treatment of x:path again
From: Bob McGowan <[email-masked]>
To: [email-masked]
Cc: Cygwin mailing list <[email-masked]>
Date: Mon, 16 Oct 2000 10:19:02 -0700

Why do this in Cygwin, to begin with?  Cygwin is a unix/linux world working under windows.  If I want the windows way of doing things, I just need to open a command
window.  I would prefer to not have to worry about "drive relative current working directory" when running in Cygwin.

Chris Faylor wrote:
> 
> On Mon, Oct 16, 2000 at 08:12:17PM +0400, Andrej Borsenkow wrote:
> >
> >>
> >> How would you suggest having something be 'relative to the current path'
> >> in cygwin, given the /cygdrive method of doing things?  cygwin has never
> >> kept track of the current directory of other drives.
> >>
> >
> >Searching MSDN gives:
> >
> >Routine Use
> >_chdir, _wchdir Change current working directory
> >_chdrive Change current drive
> >_getcwd, _wgetcwd Get current working directory for default drive
> >_getdcwd, _wgetdcwd Get current working directory for specified drive
> >_getdrive Get current (default) drive
> >_mkdir, _wmkdir Make new directory
> >_rmdir, _wrmdir Remove directory
> >_searchenv, _wsearchenv Search for given file on specified paths
> 
> >_getdcwd looks promising. It is part of msvcrt.dll; and is included in Cygwin
> >export lib:
> 
> >mw1g017@MW1G17C% nm /usr/lib/libmsvcrt.a | grep getdcwd
> >00000000 I __imp___wgetdcwd
> >00000000 T __wgetdcwd
> >00000000 T __getdcwd
> >00000000 I __imp___getdcwd
> 
> You can't mix cygwin with msvcrt.
> 
> >> If you'd like to submit a patch to somehow accomplish this, I'd be happy
> >> to apply it.
> >>
> >
> >I may. Is module winsup still enough to build cygwin1.dll?
> 
> In theory.
> 
> cgf
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]